Index: uspace/srv/sysman/test/job_closure.c
===================================================================
--- uspace/srv/sysman/test/job_closure.c	(revision 25697163af08e9c7749aee9f2aa974ed6ffb46ef)
+++ uspace/srv/sysman/test/job_closure.c	(revision ae004bcbbd3ddab783faa0124f9c8981387c4cd1)
@@ -40,6 +40,6 @@
 PCUT_TEST_SUITE(job_closure);
 
-static dyn_array_t exp_closure;
-static dyn_array_t act_closure;
+static array_t exp_closure;
+static array_t act_closure;
 
 static bool same_job(job_t *expected, job_t *actual)
@@ -49,5 +49,5 @@
 }
 
-static bool same_jobs(dyn_array_t *expected, dyn_array_t *actual)
+static bool same_jobs(array_t *expected, array_t *actual)
 {
 	if (expected->size != actual->size) {
@@ -58,7 +58,7 @@
 
 	/* Verify expected \subseteq actual (we've compared sizes) */
-	dyn_array_foreach(*expected, job_t *, it_exp) {
+	array_foreach(*expected, job_t *, it_exp) {
 		bool found = false;
-		dyn_array_foreach(*actual, job_t *, it_act) {
+		array_foreach(*actual, job_t *, it_act) {
 			if (same_job(*it_exp, *it_act)) {
 				found = true;
@@ -79,5 +79,5 @@
 {
 	bool found = false;
-	dyn_array_foreach(blocking_job->blocked_jobs, job_t *, it) {
+	array_foreach(blocking_job->blocked_jobs, job_t *, it) {
 		if (*it == blocked_job) {
 			found = true;
@@ -94,14 +94,14 @@
 }
 
-static void dummy_add_closure(dyn_array_t *closure)
-{
-	dyn_array_foreach(*closure, job_t *, it) {
+static void dummy_add_closure(array_t *closure)
+{
+	array_foreach(*closure, job_t *, it) {
 		(*it)->unit->job = *it;
 	}
 }
 
-static void destroy_job_closure(dyn_array_t *closure)
-{
-	dyn_array_foreach(*closure, job_t *, it) {
+static void destroy_job_closure(array_t *closure)
+{
+	array_foreach(*closure, job_t *, it) {
 		job_del_ref(&(*it));
 	}
@@ -113,10 +113,10 @@
 	mock_set_units_state(STATE_STOPPED);
 
-	dyn_array_initialize(&exp_closure, job_t *);
-	errno_t rc = dyn_array_reserve(&exp_closure, MAX_TYPES * MAX_UNITS);
+	array_initialize(&exp_closure, job_t *);
+	errno_t rc = array_reserve(&exp_closure, MAX_TYPES * MAX_UNITS);
 	assert(rc == EOK);
 
-	dyn_array_initialize(&act_closure, job_t *);
-	rc = dyn_array_reserve(&act_closure, MAX_TYPES * MAX_UNITS);
+	array_initialize(&act_closure, job_t *);
+	rc = array_reserve(&act_closure, MAX_TYPES * MAX_UNITS);
 	assert(rc == EOK);
 
@@ -127,8 +127,8 @@
 {
 	destroy_job_closure(&act_closure);
-	dyn_array_destroy(&act_closure);
+	array_destroy(&act_closure);
 
 	destroy_job_closure(&exp_closure);
-	dyn_array_destroy(&exp_closure);
+	array_destroy(&exp_closure);
 
 	mock_destroy_units();
@@ -156,7 +156,7 @@
 	PCUT_ASSERT_INT_EQUALS(EOK, rc);
 
-	dyn_array_append(&exp_closure, job_t *, dummy_job(u1, STATE_STARTED));
-	dyn_array_append(&exp_closure, job_t *, dummy_job(u2, STATE_STARTED));
-	dyn_array_append(&exp_closure, job_t *, dummy_job(u3, STATE_STARTED));
+	array_append(&exp_closure, job_t *, dummy_job(u1, STATE_STARTED));
+	array_append(&exp_closure, job_t *, dummy_job(u2, STATE_STARTED));
+	array_append(&exp_closure, job_t *, dummy_job(u3, STATE_STARTED));
 
 	dummy_add_closure(&act_closure);
@@ -188,7 +188,7 @@
 	PCUT_ASSERT_INT_EQUALS(EOK, rc);
 
-	dyn_array_append(&exp_closure, job_t *, dummy_job(u1, STATE_STARTED));
-	dyn_array_append(&exp_closure, job_t *, dummy_job(u2, STATE_STARTED));
-	dyn_array_append(&exp_closure, job_t *, dummy_job(u3, STATE_STARTED));
+	array_append(&exp_closure, job_t *, dummy_job(u1, STATE_STARTED));
+	array_append(&exp_closure, job_t *, dummy_job(u2, STATE_STARTED));
+	array_append(&exp_closure, job_t *, dummy_job(u3, STATE_STARTED));
 
 	dummy_add_closure(&act_closure);
@@ -222,7 +222,7 @@
 	PCUT_ASSERT_INT_EQUALS(EOK, rc);
 
-	dyn_array_append(&exp_closure, job_t *, dummy_job(u1, STATE_STARTED));
-	dyn_array_append(&exp_closure, job_t *, dummy_job(u2, STATE_STARTED));
-	dyn_array_append(&exp_closure, job_t *, dummy_job(u3, STATE_STARTED));
+	array_append(&exp_closure, job_t *, dummy_job(u1, STATE_STARTED));
+	array_append(&exp_closure, job_t *, dummy_job(u2, STATE_STARTED));
+	array_append(&exp_closure, job_t *, dummy_job(u3, STATE_STARTED));
 
 	dummy_add_closure(&act_closure);
@@ -269,11 +269,11 @@
 	PCUT_ASSERT_INT_EQUALS(EOK, rc);
 
-	dyn_array_append(&exp_closure, job_t *, dummy_job(u0, STATE_STOPPED));
-	dyn_array_append(&exp_closure, job_t *, dummy_job(u1, STATE_STARTED));
-	dyn_array_append(&exp_closure, job_t *, dummy_job(u2, STATE_STARTED));
-	dyn_array_append(&exp_closure, job_t *, dummy_job(u3, STATE_STOPPED));
-	dyn_array_append(&exp_closure, job_t *, dummy_job(u4, STATE_STOPPED));
-	dyn_array_append(&exp_closure, job_t *, dummy_job(u5, STATE_STOPPED));
-	dyn_array_append(&exp_closure, job_t *, dummy_job(u6, STATE_STOPPED));
+	array_append(&exp_closure, job_t *, dummy_job(u0, STATE_STOPPED));
+	array_append(&exp_closure, job_t *, dummy_job(u1, STATE_STARTED));
+	array_append(&exp_closure, job_t *, dummy_job(u2, STATE_STARTED));
+	array_append(&exp_closure, job_t *, dummy_job(u3, STATE_STOPPED));
+	array_append(&exp_closure, job_t *, dummy_job(u4, STATE_STOPPED));
+	array_append(&exp_closure, job_t *, dummy_job(u5, STATE_STOPPED));
+	array_append(&exp_closure, job_t *, dummy_job(u6, STATE_STOPPED));
 
 	dummy_add_closure(&act_closure);
